EventHttpRequest
EventHttpRequest::cancel
EventHttpRequest
PHP Manual

# EventHttpRequest::addHeader

(PECL event >= 1.4.0-beta)

EventHttpRequest::addHeader — Ajoute un en-tête HTTP aux en-têtes de la requête

### Description

public bool EventHttpRequest::addHeader ( string `$key` , string `$value` , int `$type` )

Ajoute un en-tête HTTP aux en-têtes de la requête.

### Liste de paramètres

`key`

  Nom de l'en-tête.

`value`

  Valeur de l'en-tête.

`type`

  Une des constantes EventHttpRequest::*_HEADER.

### Valeurs de retour

Retourne `TRUE` en cas de succès. `FALSE` sinon.

### Voir aussi

- EventHttpRequest::removeHeader() - Supprime un en-tête HTTP depuis les en-têtes de la requête

EventHttpRequest
EventHttpRequest::cancel
EventHttpRequest
PHP Manual